ISXEQ2 - Bug #2053

Vendor.Merchant does not seem to work anymore
2018-02-09 02:26 AM - ethreayd

Status: Resolved
Priority: Normal
Assignee:

Category:

Target version:

vbulletin_issue_id:

Description
Hello,

| have this script that worked before in PoP to automatically buy the gear from the Tishan lockbox merchant :
function get_Gear()

{
variable string MerchantName="Tishan's Lockbox"

target ${Me.Name}

wait 10

target ${Me.Name}

wait 10

QuestBotAPI -LSTask ${Me.Name} "100 - Navigation - To PoM NPC Tishan" "1" "FALSE" "14"
wait 100

do

{
target ${Me.Name}
wait 10

1
while (${Actor["${MerchantName}"].Distance} > 10)

echo reach ${MerchantName}

wait 5

Actor["${MerchantName}"]:DoTarget
Actor["${MerchantName}"]:DoubleClick

wait 5

Vendor.Merchant["Plane Traveler's Weapon Kit: ${Me.Archetype}"]:Buy[1]
;don't know why that does not work with my bard

wait 10
switch ${Me.Class}

{

case crusader

Vendor.Merchant["Plane Traveler's Kit:

break

case warrior

Vendor.Merchant["Plane Traveler's Kit:

break

case cleric

Vendor.Merchant["Plane Traveler's Kit:

break

case brawler

Vendor.Merchant["Plane Traveler's Kit:

break

case druid

Vendor.Merchant["Plane Traveler's Kit:

break

case sorcerer

Vendor.Merchant["Plane Traveler's Kit:

break

case enchanter

Vendor.Merchant["Plane Traveler's Kit:

break

case summoner

Vendor.Merchant["Plane Traveler's Kit:

break

default

Vendor.Merchant["Plane Traveler's Kit:

break

}

wait 10

Plate"]):Buy[1]

Plate"]:Buy[1]

Plate":Buy[1]

Leather"]:Buy[1]

Leather"]:Buy[1]

Cloth"]:Buy[1]

Cloth"]:Buy[1]

Cloth™:Buy[1]

Chain"]:Buy[1]

EQ2UIPage[Inventory,Merchant].Child[button,Merchant. WindowFrame.Close]:LeftClick

EQ2UIPage[Inventory,Merchant].Child[button,Merchant. WC_CloseButton]:LeftClick
wait 5
echo Now unpack and equip after toon have returned to start point in 5 secs! Then relaunch autopop

}

| try on my Bard and it does not work. But it was working on my Zerk. Now | have tried it with my Zerk and it's not working anymore.
In fact it was working with a lot of class before and it's not working with any anymore.

Maybe it's me but | double check and it looks like a regression to me.

Another thing. It seems that when you request the price of a merchandise, you only get the price of merchandise you can sell to the
merchant. | did not manage to get the price of object to buy.

Regards,

History

#1 - 2018-02-14 01:58 AM - Amadeus

- Status changed from New to In Progress

Yea, | need to go through and completely revamp all of the buying/selling to/from merchants and brokers. It's all messy and doesn't make a lot of
sense right now.

Can you try changing all of your Vendor.Merchant to Vendor.ltem and see if that works?

Just from looking at the code briefly, it seems that Vendor.Merchant is returning YOUR inventory that can be sold and Vendor.ltem is returning the
inventory of the merchant that can be bought. (And, yes, it makes no sense.)

Anyway, see if using Vendor.ltem fixes it ...if so then I'll just revamp everything this summer when | have time so that it all makes a lot more sense.

#2 - 2018-02-27 05:40 AM - ethreayd

It works. Thank You !

#3 - 2019-12-26 12:46 PM - Amadeus

- Status changed from In Progress to Resolved
